Subject: [Time] Control Protocol Functionality or OAM function

From: Qin Wu <[email-masked]>
Date: Wed, 25 Jun 2014 09:06:55 +0000

Hi,:
Sometimes I am confused when we talk about Control Protocol Functionality in the data plane OAM.
Do we have control plane OAM protocol, Can BFD, LSP Ping, ICMP be viewed as control plane OAM?

It looks to me there is no control plane OAM protocol such thing, although BFD defines control packet,
I think it is still a data plane OAM protocol.

The control protocol functionality in the data plane OAM is, in my opinion,
referred to various OAM functions(e.g.,Ping, Traceroute) implemented by OAM protocols.
OAM tools can use control-plane functions in the control plane, e.g., to initialize OAM sessions and to
exchange various parameters.  But such control plane functions are not strictly OAM related.

But we do need to distinct OAM protocol like BFD from OAM information being put into data packet header or data packet payload?
Can the latter be regarded as OAM protocol as well or data plane OAM protocol? Do we need to define the new term "control plane OAM"
Is there anybody like to clarify this?

Regards!
-Qin

---

From: Qin Wu <[email-masked]>
Date: Wed, 25 Jun 2014 10:39:01 +0000

Thanks for response, take this to the list:
You are right, the definition of "Control Plane" may imply that
OAM tools such as ping, BFD, and others are in fact in the control
plane.

OAM tools can use control-plane functions, e.g., to initialize OAM sessions and to
exchange various parameters. I believe control plane function are referred to routing protocol like BGP or IGP protocols.
These control protocols has nothing to do with OAM protocol,
So when we say control plane functionality, so what is data plane functionality? Is BFD data plane OAM or control plane OAM?
RFC7276 did say it only focus on the data-plane functionality.

Also I believe we don’t have definition for control plane OAM if it exists, RFC7276 also doesn’t give such definition as well.

Regards!
-Qin
发件人: Mishael Wexler
发送时间: 2014年6月25日 18:22
收件人: Qin Wu
主题: RE: Control Protocol Functionality or OAM function

Hi,

Take the IP trace-route as an example.
I don’t know anyone that has implemented it in the data-plane. It always goes up the stack to the operating system / control-plane
Also, alarms and statuses that are integral part of OAM, use control-plane only ingredients.

OAM includes all parts; data, control and some management interfaces

Mishael

From: Time [mailto:[email-masked]] On Behalf Of Qin Wu
Sent: Wednesday, June 25, 2014 12:07 PM
To: [email-masked]<mailto:[email-masked]>
Subject: [Time] Control Protocol Functionality or OAM function

Hi,:

But we do need to distinct OAM protocol like BFD from OAM information being put into data packet header or data packet payload?
Can the latter be regarded as OAM protocol as well or data plane OAM protocol? Do we need to define the new term “control plane OAM”
Is there anybody like to clarify this?

Regards!
-Qin

---

From: Gregory Mirsky <[email-masked]>
Date: Wed, 25 Jun 2014 14:08:45 +0000

Hi Qin,
I agree, that we don't have many examples of OAM Control protocols but there are couple examples that come to mind. IPPM WG developed One-Way Active Measurement Protocol (OWAMP) RFC 4656 and Two-Way Active Measurement Protocol (TWAMP) RFC 5357. Each has Control protocol and Test protocol.
Then there are numerous RSVP and LSP ping extensions to configure , control OAM and MPLS-TP OAM in particular.

                Regards,
                                Greg

From: Time [mailto:[email-masked]] On Behalf Of Qin Wu
Sent: Wednesday, June 25, 2014 2:07 AM
To: [email-masked]
Subject: [Time] Control Protocol Functionality or OAM function

Hi,:

Regards!
-Qin

---

From: Qin Wu <[email-masked]>
Date: Fri, 27 Jun 2014 10:52:34 +0000

You are right, a lot of OAM protocols have both control packet and Test packet since they are connection oriented while some other protocols only have test packet since they are connectionless based.
Whether it is connection oriented or connectionless based, OAM configuration is needed to enable OAM function and active OAM service.

RSVP-TE is not strict OAM related protocol but can be used to carry OAM information.
The question is whether LSP ping is connection oriented or connectionless based. This is not very clear to me.

Regards!
-Qin
发件人: Gregory Mirsky [mailto:[email-masked]]
发送时间: 2014年6月25日 22:09
收件人: Qin Wu; [email-masked]
主题: RE: Control Protocol Functionality or OAM function

Hi Qin,
I agree, that we don’t have many examples of OAM Control protocols but there are couple examples that come to mind. IPPM WG developed One-Way Active Measurement Protocol (OWAMP) RFC 4656 and Two-Way Active Measurement Protocol (TWAMP) RFC 5357. Each has Control protocol and Test protocol.
Then there are numerous RSVP and LSP ping extensions to configure , control OAM and MPLS-TP OAM in particular.

                Regards,
                                Greg

Hi,:

Regards!
-Qin

---

From: Sam Aldrin <[email-masked]>
Date: Fri, 27 Jun 2014 11:27:52 -0700

Qin, Greg, et al,

I think the discussion is about the same but confused a little, with mix of
terms.

OAM tools we have now are defined for Data plane verification and also
consistency verification between Control plane and data plane, which
effectively verify control plane as well,
Whether the OAM markings are carried in control protocol or data plane
header, do not define OAM control plane or data plane, rather its purpose
define what it is for.
In some cases, there is strict OAM control protocol defined
[RFC6812]/TWAMP, which is a protocol for OAM itself.

Coming to connectionless and connection oriented, both have on demand and
configuration models.
LSP ping for example could be used as ondemand (LDP LSP) or configured
(MPLS TP). Hence configuration may or may not be required.

We won't run into confusion if we stick to terms defined already
[rfc7276]and not re-define the definition.
If there is none in existence, let us define prior to its usage.

cheers
-sam

On Fri, Jun 27, 2014 at 3:52 AM, Qin Wu <[email-masked]> wrote:

>  You are right, a lot of OAM protocols have both control packet and Test
> packet since they are connection oriented while some other protocols only
> have test packet since they are connectionless based.
>
> Whether it is connection oriented or connectionless based, OAM
> configuration is needed to enable OAM function and active OAM service.
>
>
>
> *发件人:* Gregory Mirsky [mailto:[email-masked]]
> *发送时间:* 2014年6月25日 22:09
> *收件人:* Qin Wu; [email-masked]
> *主题:* RE: Control Protocol Functionality or OAM function
>
>
>
> Hi Qin,
>
> I agree, that we don’t have many examples of OAM Control protocols but
> there are couple examples that come to mind. IPPM WG developed One-Way
> Active Measurement Protocol (OWAMP) RFC 4656 and Two-Way Active Measurement
> Protocol (TWAMP) RFC 5357. Each has Control protocol and Test protocol.
>
> Then there are numerous RSVP and LSP ping extensions to configure ,
> control OAM and MPLS-TP OAM in particular.
>
>
>
>                 Regards,
>
>                                 Greg
>
>
>
> *From:* Time [mailto:[email-masked] <[email-masked]>] *On
> Behalf Of *Qin Wu
> *Sent:* Wednesday, June 25, 2014 2:07 AM
> *To:* [email-masked]
> *Subject:* [Time] Control Protocol Functionality or OAM function
>
>
>
> Hi,:
>
> But we do need to distinct OAM protocol like BFD from OAM information
> being put into data packet header or data packet payload?
>
> Can the latter be regarded as OAM protocol as well or data plane OAM
> protocol? Do we need to define the new term “control plane OAM”
>
> _______________________________________________
> Time mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/time
>
>

---

From: Qin Wu <[email-masked]>
Date: Sat, 28 Jun 2014 01:40:05 +0000

You are right, The terminology about, and associations among, existing OAM protocols can be complex and somewhat opaque.
we should stick to terms defined by RFC7276.

However we are looking for transport independent Multi-Layer OAM,
Do we need to define common terminology for
discussing protocol entities and their relationships.
Would it be good to have a Taxonomy for OAM protocols and mechanisms?

Regards!
-Qin
发件人: Sam Aldrin [mailto:[email-masked]]
发送时间: 2014年6月28日 2:28
收件人: Qin Wu
抄送: Gregory Mirsky; [email-masked]
主题: Re: [Time] Control Protocol Functionality or OAM function

Qin, Greg, et al,

I think the discussion is about the same but confused a little, with mix of terms.

OAM tools we have now are defined for Data plane verification and also consistency verification between Control plane and data plane, which effectively verify control plane as well,
Whether the OAM markings are carried in control protocol or data plane header, do not define OAM control plane or data plane, rather its purpose define what it is for.
In some cases, there is strict OAM control protocol defined [RFC6812]/TWAMP, which is a protocol for OAM itself.

Coming to connectionless and connection oriented, both have on demand and configuration models.
LSP ping for example could be used as ondemand (LDP LSP) or configured (MPLS TP). Hence configuration may or may not be required.

We won't run into confusion if we stick to terms defined already [rfc7276]and not re-define the definition.
If there is none in existence, let us define prior to its usage.

cheers
-sam

On Fri, Jun 27, 2014 at 3:52 AM, Qin Wu <[email-masked]<mailto:[email-masked]>> wrote:
You are right, a lot of OAM protocols have both control packet and Test packet since they are connection oriented while some other protocols only have test packet since they are connectionless based.
Whether it is connection oriented or connectionless based, OAM configuration is needed to enable OAM function and active OAM service.

Regards!
-Qin
发件人: Gregory Mirsky [mailto:[email-masked]<mailto:[email-masked]>]
发送时间: 2014年6月25日 22:09
收件人: Qin Wu; [email-masked]<mailto:[email-masked]>
主题: RE: Control Protocol Functionality or OAM function

Hi Qin,

                Regards,
                                Greg

Hi,:

Regards!
-Qin

_______________________________________________
Time mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/time

---

From: Sam Aldrin <[email-masked]>
Date: Fri, 27 Jun 2014 21:40:43 -0700

> Would it be good to have a Taxonomy for OAM protocols and mechanisms?
Qin, absolutely! But we need to see what those new terms would be and how they differ to the ones which were already defined.
One thing for sure is, we should not re-define existing terms.

cheers
-sam